use colored::{ColoredString, Colorize};

pub fn err(args: Vec<String>) -> String {
    if args.len() > 2 {
        args[2].clone() // Error status
    } else {
        "none".to_string()
    }
}

pub fn err_indicator(err: String) -> ColoredString {
    let angle = "❯";
    match err.as_str() {
        "0" => angle.truecolor(0, 255, 180),
        _ => angle.truecolor(255, 53, 94),
    }
}
